Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::map< KeyType, ValueType >::ParentFirstIterator Class Reference

Parent First Iterator. More...

`#include <irrMap.h>`

List of all members.

## Public Member Functions
bool | atEnd () const
Node * | getNode ()
Node & | operator* ()
void | operator++ (int)
Node * | operator-> ()
ParentFirstIterator & | operator= (const ParentFirstIterator &src)
| ParentFirstIterator (Node *root)
| ParentFirstIterator ()
void | reset ()

## Detailed Description

### template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::ParentFirstIterator

Parent First Iterator.

Traverses the tree from top to bottom. Typical usage is when storing the tree structure, because when reading it later (and inserting elements) the tree structure will be the same.

Definition at line 284 of file irrMap.h.

## Constructor & Destructor Documentation

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentFirstIterator::ParentFirstIterator | ( |  | ) | `[inline]`

Definition at line 289 of file irrMap.h.

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentFirstIterator::ParentFirstIterator | ( | Node * | root | ) | `[inline, explicit]`

Definition at line 294 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentFirstIterator::reset().

## Member Function Documentation

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::ParentFirstIterator::atEnd | ( |  | ) | const`[inline]`

Definition at line 305 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator*().

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::ParentFirstIterator::getNode | ( |  | ) | `[inline]`

Definition at line 311 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator*(), and irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator->().

template<class KeyType, class ValueType>

Node& irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator* | ( |  | ) | `[inline]`

Definition at line 336 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, irr::core::map< KeyType, ValueType >::ParentFirstIterator::atEnd(), and irr::core::map< KeyType, ValueType >::ParentFirstIterator::getNode().

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator++ | ( | int |  | ) | `[inline]`

Definition at line 325 of file irrMap.h.

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator-> | ( |  | ) | `[inline]`

Definition at line 331 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentFirstIterator::getNode().

template<class KeyType, class ValueType>

ParentFirstIterator& irr::core::map< KeyType, ValueType >::ParentFirstIterator::operator= | ( | const ParentFirstIterator & | src | ) | `[inline]`

Definition at line 317 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentFirstIterator::Cur, and irr::core::map< KeyType, ValueType >::ParentFirstIterator::Root.

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentFirstIterator::reset | ( |  | ) | `[inline]`

Definition at line 299 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::ParentFirstIterator::ParentFirstIterator().

The documentation for this class was generated from the following file:

- irrMap.h

| The Irrlicht Engine Documentation © 2003-2009 by Nikolaus Gebhardt. Generated on Sun Jan 10 09:24:09 2010 by Doxygen (1.5.6)